GDBserver

Macros | Functions | Variables
linux-m32r-low.c File Reference
`#include "server.h"`
`#include "linux-low.h"`

Go to the source code of this file.

## Macros
#define | m32r_num_regs 25
#define | m32r_breakpoint_len 2

## Functions
void | init_registers_m32r (void)
static int | m32r_cannot_store_register (int regno)
static int | m32r_cannot_fetch_register (int regno)
static const gdb_byte * | m32r_sw_breakpoint_from_kind (int kind, int *size)
static int | m32r_breakpoint_at (CORE_ADDR where)
static void | m32r_arch_setup (void)
static int | m32r_supports_hardware_single_step (void)
static const struct regs_info * | m32r_regs_info (void)
void | initialize_low_arch (void)

## Variables
const struct target_desc * | tdesc_m32r
static int | m32r_regmap []
static const unsigned short | m32r_breakpoint = 0x10f1
static struct usrregs_info | m32r_usrregs_info
static struct regs_info | regs_info
struct linux_target_ops | the_low_target

## Macro Definition Documentation

## ◆ m32r_breakpoint_len

#define m32r_breakpoint_len 2

Definition at line 57 of file linux-m32r-low.c.

Referenced by m32r_breakpoint_at(), and m32r_sw_breakpoint_from_kind().

## ◆ m32r_num_regs

#define m32r_num_regs 25

Definition at line 30 of file linux-m32r-low.c.

Referenced by m32r_cannot_fetch_register(), and m32r_cannot_store_register().

## Function Documentation

## ◆ init_registers_m32r()

void init_registers_m32r | ( | void |  | ) |

Referenced by initialize_low_arch().

## ◆ initialize_low_arch()

void initialize_low_arch | ( | void |  | ) |

Definition at line 154 of file linux-m32r-low.c.

References init_registers_m32r().

## ◆ m32r_arch_setup()

static void m32r_arch_setup | ( | void |  | ) |
| static

Definition at line 84 of file linux-m32r-low.c.

References current_process(), process_info::tdesc, and tdesc_m32r.

## ◆ m32r_breakpoint_at()

static int m32r_breakpoint_at | ( | CORE_ADDR | where | ) |
| static

Definition at line 69 of file linux-m32r-low.c.

References m32r_breakpoint, m32r_breakpoint_len, target_ops::read_memory, and the_target.

## ◆ m32r_cannot_fetch_register()

static int m32r_cannot_fetch_register | ( | int | regno | ) |
| static

Definition at line 51 of file linux-m32r-low.c.

References m32r_num_regs.

## ◆ m32r_cannot_store_register()

static int m32r_cannot_store_register | ( | int | regno | ) |
| static

Definition at line 45 of file linux-m32r-low.c.

References m32r_num_regs.

## ◆ m32r_regs_info()

static const struct regs_info* m32r_regs_info | ( | void |  | ) |
| static

Definition at line 110 of file linux-m32r-low.c.

References regs_info.

## ◆ m32r_supports_hardware_single_step()

static int m32r_supports_hardware_single_step | ( | void |  | ) |
| static

Definition at line 92 of file linux-m32r-low.c.

## ◆ m32r_sw_breakpoint_from_kind()

static const gdb_byte* m32r_sw_breakpoint_from_kind | ( | int | kind,
|  | int * | size
| ) |  |
| static

Definition at line 62 of file linux-m32r-low.c.

References m32r_breakpoint, and m32r_breakpoint_len.

## Variable Documentation

## ◆ m32r_breakpoint

const unsigned short m32r_breakpoint = 0x10f1
| static

Definition at line 56 of file linux-m32r-low.c.

Referenced by m32r_breakpoint_at(), and m32r_sw_breakpoint_from_kind().

## ◆ m32r_regmap

int m32r_regmap[]
| static

Initial value:
= {
4 * 4, 4 * 5, 4 * 6, 4 * 7, 4 * 0, 4 * 1, 4 * 2, 4 * 8,
4 * 9, 4 * 10, 4 * 11, 4 * 12, 4 * 13, 4 * 24, 4 * 25, 4 * 23,
4 * 19, 4 * 31, 4 * 26, 4 * 23, 4 * 20, 4 * 30, 4 * 16, 4 * 15, 4 * 32
}

Definition at line 32 of file linux-m32r-low.c.

## ◆ m32r_usrregs_info

struct usrregs_info m32r_usrregs_info
| static

Initial value:
=
{
m32r_num_regs,
m32r_regmap,
}
m32r_num_regs
#define m32r_num_regs
Definition: linux-m32r-low.c:30
m32r_regmap
static int m32r_regmap[]
Definition: linux-m32r-low.c:32

Definition at line 97 of file linux-m32r-low.c.

## ◆ regs_info

struct regs_info regs_info
| static

Initial value:
=
{
NULL,
&m32r_usrregs_info,
}
m32r_usrregs_info
static struct usrregs_info m32r_usrregs_info
Definition: linux-m32r-low.c:97

Definition at line 103 of file linux-m32r-low.c.

Referenced by m32r_regs_info().

## ◆ tdesc_m32r

const struct target_desc* tdesc_m32r

Referenced by m32r_arch_setup().

## ◆ the_low_target

struct linux_target_ops the_low_target

Definition at line 115 of file linux-m32r-low.c.